/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { FormsModule } from '@angular/forms';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { MatIconModule } from '@angular/material/icon';
import { LocationEditingBehavior } from '../location-editing.behavior';
import { LocationInteractionDirective } from '../location-interaction.directive';
import { LocationMapService } from '../map/location-map.service';
import { LocationToolbarComponent } from './location-toolbar.component';

describe('LocationToolbarComponent', () => {
  let component: LocationToolbarComponent;
  let fixture: ComponentFixture<LocationToolbarComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [FormsModule, MatButtonToggleModule, MatIconModule],
        providers: [
          LocationEditingBehavior,
          { provide: LocationMapService, useValue: {} },
          {
            provide: LocationInteractionDirective,
            useValue: {
              interactionMode: '',
            },
          },
        ],
        declarations: [LocationToolbarComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(LocationToolbarComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
